TWSAgent (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.TWSAgent interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface TWSAgent

All Superinterfaces:
  Agent, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface TWSAgent

extends Agent

A TWSAgent represents a scheduling object that runs jobs. Primarily it refers to a physical workstation. However, it could be a logical definition that must be hosted by a physical workstation.

Naming Rules:
  1="masterName,agentName" 0="TWS_ID"
Persistable:
  true
Top Level:
  true
Display Name:
  agentName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAccessMethod()` The name of the method file to be specified for the TWS workstation defined as Extended Agent (that is a logical definition of a workstation).
`java.lang.String` | `getAgentName()` This is the name identifying unequivocally the TWS workstation in the TWS network.
`int` | `getAgentPort()` The TCP port of the TWS workstation.
`int` | `getAgentType()`
`java.lang.String` | `getDomainName()` The name of the TWS domain workstation.
`java.lang.String` | `getHostAgentName()` The name of the TWS workstation representing the physical workstation hosting the TWS workstation defined as Extended Agent (that is a logical definition of a workstation).
`java.lang.String` | `getMasterName()` This is the name of the TWS master workstation identifying unequivocally the TWS network.
`java.lang.String` | `getTWS_ID()` The unequiivocal identifier of the TWS workstation in the TWS network.
`boolean` | `hasAccessMethod()`
`boolean` | `hasAgentName()`
`boolean` | `hasAgentPort()`
`boolean` | `hasAgentType()`
`boolean` | `hasDomainName()`
`boolean` | `hasHostAgentName()`
`boolean` | `hasMasterName()`
`boolean` | `hasTWS_ID()`
`void` | `setAccessMethod(java.lang.String x)`
`void` | `setAgentName(java.lang.String x)`
`void` | `setAgentPort(int x)`
`void` | `setAgentType(int x)`
`void` | `setDomainName(java.lang.String x)`
`void` | `setHostAgentName(java.lang.String x)`
`void` | `setMasterName(java.lang.String x)`
`void` | `setTWS_ID(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.process.Agent
`getFilesystem, getMSS, getOperatingsystem, hasFilesystem, hasMSS, hasOperatingsystem, setFilesystem, setMSS, setOperatingsystem`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getAgentType

    int getAgentType()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAgentType

    void setAgentType(int x)

### hasAgentType

    boolean hasAgentType()

### getMasterName

    java.lang.String getMasterName()
                                   throws AttributeNotSetException

  This is the name of the TWS master workstation identifying unequivocally the TWS network. If more than one master has been defined in the TWS networks (that is more than one TWS network has been defined), it is recommended to have different name for each master.

  Throws:
    `AttributeNotSetException`

### setMasterName

    void setMasterName(java.lang.String x)

### hasMasterName

    boolean hasMasterName()

### getAgentPort

    int getAgentPort()
                     throws AttributeNotSetException

  The TCP port of the TWS workstation.

  Throws:
    `AttributeNotSetException`

### setAgentPort

    void setAgentPort(int x)

### hasAgentPort

    boolean hasAgentPort()

### getDomainName

    java.lang.String getDomainName()
                                   throws AttributeNotSetException

  The name of the TWS domain workstation.

  Throws:
    `AttributeNotSetException`

### setDomainName

    void setDomainName(java.lang.String x)

### hasDomainName

    boolean hasDomainName()

### getTWS_ID

    java.lang.String getTWS_ID()
                               throws AttributeNotSetException

  The unequiivocal identifier of the TWS workstation in the TWS network. It represents the string identifier of the Version 3 Guid object created when the TWS workstation object is defined within the TWS DB. Related API: public Identifier getId() of the com.ibm.tws.objects.model.Workstation class public String getValue() of the com.ibm.tws.objects.types.Identifier class Example: 32089713-D35D-34A5-8A46-CCFF45B84A2F

  Throws:
    `AttributeNotSetException`

### setTWS_ID

    void setTWS_ID(java.lang.String x)

### hasTWS_ID

    boolean hasTWS_ID()

### getHostAgentName

    java.lang.String getHostAgentName()
                                      throws AttributeNotSetException

  The name of the TWS workstation representing the physical workstation hosting the TWS workstation defined as Extended Agent (that is a logical definition of a workstation). This attribute is required for Extended Agent only.

  Throws:
    `AttributeNotSetException`

### setHostAgentName

    void setHostAgentName(java.lang.String x)

### hasHostAgentName

    boolean hasHostAgentName()

### getAgentName

    java.lang.String getAgentName()
                                  throws AttributeNotSetException

  This is the name identifying unequivocally the TWS workstation in the TWS network.

  Throws:
    `AttributeNotSetException`

### setAgentName

    void setAgentName(java.lang.String x)

### hasAgentName

    boolean hasAgentName()

### getAccessMethod

    java.lang.String getAccessMethod()
                                     throws AttributeNotSetException

  The name of the method file to be specified for the TWS workstation defined as Extended Agent (that is a logical definition of a workstation). This attribute is required for Extended Agent only. Example: netmth.exe

  Throws:
    `AttributeNotSetException`

### setAccessMethod

    void setAccessMethod(java.lang.String x)

### hasAccessMethod

    boolean hasAccessMethod()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD